import {Controller, view, Injectable, Collection} from '@extollo/lib'
import {FeedPost} from '../../models/FeedPost.model'

/**
 * Feed Controller
 * ------------------------------------
 * Backend for routes related to my post feed.
 */
@Injectable()
export class Feed extends Controller {
    public async feed(feedPosts: Collection<FeedPost>) {
        return view('feed', {
            feedPosts: feedPosts.toArray(),
        })
    }
}
